# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.11.2] - 2024-09-05

### Added

- Windows executables to release.
- Windows config instructions.

### Changed

- Reworked release github workflow.
- Use `stdout` for crossterm instead of `stderr`

### Updated

- Bump ratatui version

## [0.11.1] - 2024-03-19

### Changed

- Update the license to GPLv3
- Update the notification layout

## [0.11] - 2024-02-02

### Added

- Support for [llama.cpp](https://github.com/ggerganov/llama.cpp)
- Support for [ollama](https://github.com/ollama/ollama)

### Removed

- Remove borders for chat block

## [0.10] - 2024-01-27

### Added

- More vim like key bindings for the prompt
- Add Visual mode for the prompt
- Copy and paste from/to the clipboard in the prompt

### Fixed

- Use model from the config file if defined

## [0.9] - 2023-11-01

### Features

- Syntax highlights

### Removed

- Scroll bars

## [0.8] - 2023-08-20

### Features

- Stop the stream response with the key `t`
- Add scrollbar for the chat block

## [0.7] - 2023-08-12

### Features

- Support streamig responses for ChatGPT

## [0.6] - 2023-04-27

### Features

- display a spinner in the waiting message
- chatgpt url is configureable

## [0.5] - 2023-04-22

### Features

- Save the current chat or chat history to a file with the key `s`

## [0.4] - 2023-04-21

### Features

- Support configuration file

### Changes

- Change `ctrl+l` to `n` to start a new chat

## [0.3] - 2023-04-20

### Features

- Show chat history with the key `h`

### Changes

- `?` to show help popup

### Removed

- Remove mode block

## [0.2] - 2023-04-17

### Features

- Use Arrow keys to scroll

### Fixes

- Fix the scrolling issue

## [0.1] - 2023-04-16

First release 🎉

[unreleased]: https://github.com/WyvernIXTL/ubilerntui/compare/v0.11.1...HEAD
[0.11.1]: https://github.com/pythops/tenere/compare/v0.11...v0.11.1
[0.11]: https://github.com/pythops/tenere/compare/v0.10...v0.11
[0.10]: https://github.com/pythops/tenere/compare/v0.9...v0.10
[0.9]: https://github.com/pythops/tenere/compare/v0.8...v0.9
[0.8]: https://github.com/pythops/tenere/compare/v0.7...v0.8
[0.7]: https://github.com/pythops/tenere/compare/v0.6...v0.7
[0.6]: https://github.com/pythops/tenere/compare/v0.5...v0.6
[0.5]: https://github.com/pythops/tenere/compare/v0.4...v0.5
[0.4]: https://github.com/pythops/tenere/compare/v0.3...v0.4
[0.3]: https://github.com/pythops/tenere/compare/v0.2...v0.3
[0.2]: https://github.com/pythops/tenere/compare/v0.1...v0.2
[0.1]: https://github.com/pythops/tenere/releases/tag/v0.1
